Name:           youtube-dl
Version:        2012.02.27
Release:        %mkrel 1
Summary:        Small command-line program to download videos from YouTube
License:        Public Domain and GPLv2
Group:          Video
URL:            http://rg3.github.com/youtube-dl/
Source0:        https://github.com/rg3/youtube-dl/raw/%{version}/%{name}
#man page from Debian by Rogerio Brito <rbrito@users.sf.net>, licensed under GPLv2
Source1:        %{name}.1.gz
#from the website
#http://rg3.github.com/youtube-dl/about.html
Source10:       about
#http://rg3.github.com/youtube-dl/documentation.html
Source11:       documentation

BuildArch:      noarch

Requires:       python

%description
Small command-line program to download videos from YouTube.


%prep
#nothing to prep

%build
#nothing to build

%install
#python executable
install -D -p -m 755 %{_sourcedir}/%{name} %{buildroot}%{_bindir}/%{name}

#man page by Rogerio Brito <rbrito@users.sf.net>, licensed under GPLv2 - from a Debian package
install -D -p -m 644 %{_sourcedir}/%{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz

#license
echo "The program is in the Public Domain." > COPYRIGHT

#docs
cp %{_sourcedir}/about .
cp %{_sourcedir}/documentation .

%files
%doc about documentation COPYRIGHT
%{_bindir}/%{name}
%{_mandir}/man?/*


%changelog

* Wed Mar 07 2012 kamil <kamil> 2012.02.27-1.mga2
+ Revision: 221335
- new version 2012.02.27

* Tue Jan 10 2012 kamil <kamil> 2012.01.08b-1.mga2
+ Revision: 194509
- new version

* Sat Jan 07 2012 kamil <kamil> 2012.01.05-1.mga2
+ Revision: 192811
- new version

* Wed Jan 04 2012 kamil <kamil> 2011.12.18-1.mga2
+ Revision: 190784
- new version

* Tue Dec 13 2011 kamil <kamil> 2011.12.08-1.mga2
+ Revision: 181079
- new version
- replace %%{SOURCEXYZ} with %%{_sourcedir}/file-name
- drop cleaning in %%install

* Tue Nov 29 2011 kamil <kamil> 2011.11.23-1.mga2
+ Revision: 174034
- new version

* Wed Nov 02 2011 obgr_seneca <obgr_seneca> 2011.10.19-1.mga2
+ Revision: 161811
- change Reuires to unversioned python, since there is no
  python smaller 2.7 in Mageia

  + kamil <kamil>
    - new version
    - added man page from Debian package under GPLv2
    - added docs from the project website
    - imported package youtube-dl


* Thu Aug 04 2011 Till Maas <opensource@till.name> - 2011.08.04-1
- Update to latest release to adjust to backend changes (Red Hat Bug
  #728378)

* Fri May 13 2011 Till Maas <opensource@till.name> - 2011.03.29-1
- Update to latest release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011.01.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Till Maas <opensource@till.name> - 2010.01.30-1
- Update to latest release

* Sun Dec 12 2010 Till Maas <opensource@till.name> - 2010.12.09-1
- Update to latest release to adjust with youtube changes

* Sat Nov 06 2010 Till Maas <opensource@till.name> - 2010.10.24-1
- Update to latest release
- Adjust to new upstream location at github instead of bitbucket
- add -p to install
- remove index.html

* Thu Oct 07 2010 Till Maas <opensource@till.name> - 2010.10.03-1
- Update to latest release

* Thu Aug 05 2010 Till Maas <opensource@till.name> - 2010.08.04-1
- Update to latest release

* Fri Jul 23 2010 Till Maas <opensource@till.name> - 2010.07.22-1
- Update to latest release

* Thu Jul 15 2010 Till Maas <opensource@till.name> - 2010.07.14-1
- Update to latest release

* Mon Jun 07 2010 Till Maas <opensource@till.name> - 2010.06.06-1
- Update to latest release

* Thu Apr 29 2010 Till Maas <opensource@till.name> - 2010.04.04-1
- Update to latest release to fix some download issues RH #582372

* Fri Oct 09 2009 Rafał Psota <rafalzaq@gmail.com> - 2009.09.13-2
- Small fix in %%prep

* Sun Sep 27 2009 Rafał Psota <rafalzaq@gmail.com> - 2009.09.13-1
- Update to 2009.09.13
- License change to Public Domain

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2008.01.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2008.01.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 26 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 2008.01.24-1
- Update to v2008.01.24
- Add polish summary and description.

* Wed Jan 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> 2007.10.12-5
- Correct install.
- Correct documentation.

* Sat Dec 29 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 2007.10.12-4
- Correct requires.
- Add documentation.

* Sun Dec 23 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 2007.10.12-3
- Correct version tag.

* Fri Dec 14 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 1-2
- Update to v2007.10.12, correct license and update summary.

* Sun Dec 9 2007 Krzysztof Kurzawski <kurzawax at gmail.com> 1-1
- First release
